public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "William Hubbs" <williamh@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-metrics/node_exporter/
Date: Thu, 19 Dec 2024 15:41:30 +0000 (UTC)	[thread overview]
Message-ID: <1734622856.9464e2d31184cd237280c18de2fa9b3d19adfaa5.williamh@gentoo> (raw)

commit:     9464e2d31184cd237280c18de2fa9b3d19adfaa5
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 19 15:39:48 2024 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Thu Dec 19 15:40:56 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9464e2d3

app-metrics/node_exporter: add 1.8.2

Closes: https://bugs.gentoo.org/946590
Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 app-metrics/node_exporter/Manifest                 |  2 +
 .../node_exporter/node_exporter-1.8.2.ebuild       | 72 ++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/app-metrics/node_exporter/Manifest b/app-metrics/node_exporter/Manifest
index 5e9593484721..e20e2d50da7a 100644
--- a/app-metrics/node_exporter/Manifest
+++ b/app-metrics/node_exporter/Manifest
@@ -3,3 +3,5 @@ DIST node_exporter-1.7.0.tar.gz 328830 BLAKE2B 5f6b8101637bc0df605ea84446f905fcf
 DIST node_exporter-1.8.0-deps.tar.xz 1684580 BLAKE2B 0c02ca1177444885556da08676e78a413952955bfa80d9d7a9026133059594eaddd6f43fe10783701c71d0ecf2be9ac9383d019daeb287d5d016bd1188e5b37c SHA512 7268139beec7bf088ae4819809221985d1920e38b60db75cc074e92ce4dbe573c362f5227f095b4e5d1de7005b8ec2fbf96d3dcdf565eb2c9524d71676e1752e
 DIST node_exporter-1.8.0.tar.gz 335029 BLAKE2B 639edfec973e7412620da855c997e1e50ccb5fc4afc4070c44ab3fbb9b4925103719c87f813e092db3548cd55b779233fbf71bf3affc6b779ba0e45f4767ec32 SHA512 4774ff3e146665783044769235b9d4f538ba3ff1d7c9fdfb33e5546042846371c7d26efa8a6d672e6de3c5a10107c2e72e5bbf38ed2952a5c48eda81fdc1379a
 DIST node_exporter-1.8.1.tar.gz 335265 BLAKE2B a3b6262fd903373bb3690b0f051d9a4770741ba9702dca30e9de91214493026f3386b72c14d77c9254ab0c3549c3a4aa1075b3abd9516aa1c4a44bcd5c26f25f SHA512 9a715912899b7e27390f403182d8eba3a040fe0f0b6832967d131338b44d7a4f89860d1f2e4da19b8be6389fed38db1a96d803412c041b2b996cc543d1383c79
+DIST node_exporter-1.8.2-deps.tar.xz 9579024 BLAKE2B 7fb5abc6f5c0517350dce5fd9ee895ee599853804d97e1229dfcc1b2fa4a75fa900d7af6ae00558b509c798f852432515045986102a55ba4fcb43ec18af18874 SHA512 4acc939c63935191dd5b58860e1543f76ddc67abe16370d19f163c0c982fad53f05a6ffd049555c0c5475d640ca495df0696e77fa23c6dd79f314ce67d014b8f
+DIST node_exporter-1.8.2.tar.gz 335292 BLAKE2B 7aad2ac3433ba58be887c86d1cfbf0cd53d6712d171d2a928145588ea68f2839d593758254ab8742b7c27f068a75391959ea78ae768ffc1a0a1f5b08069dcf52 SHA512 68112a85a9ffde88d75893c30ab992ae3c591d44fbefa10e45cf94d228c8f8c44bb3585707521e355817c4b4276cf77eeaf4ed9d0261de02620135ad12f5e711

diff --git a/app-metrics/node_exporter/node_exporter-1.8.2.ebuild b/app-metrics/node_exporter/node_exporter-1.8.2.ebuild
new file mode 100644
index 000000000000..74515ab14c73
--- /dev/null
+++ b/app-metrics/node_exporter/node_exporter-1.8.2.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module systemd
+
+DESCRIPTION="Prometheus exporter for machine metrics"
+HOMEPAGE="https://github.com/prometheus/node_exporter"
+
+if [[ ${PV} == 9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/prometheus/node_exporter.git"
+else
+	SRC_URI="https://github.com/prometheus/node_exporter/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	SRC_URI+=" https://dev.gentoo.org/~williamh/dist/${P}-deps.tar.xz"
+
+	KEYWORDS="~amd64 ~arm64 ~loong ~riscv ~x86"
+fi
+
+# main pkg
+LICENSE="Apache-2.0"
+# deps
+LICENSE+=" BSD BSD-2 MIT"
+SLOT="0"
+IUSE="selinux"
+
+COMMON_DEPEND="
+	acct-group/node_exporter
+	acct-user/node_exporter
+	selinux? ( sec-policy/selinux-node_exporter )
+"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}"
+BDEPEND=">=dev-util/promu-0.17.0"
+
+src_unpack() {
+	if [[ ${PV} == 9999* ]]; then
+		git-r3_src_unpack
+		go-module_live_vendor
+	else
+		default
+	fi
+}
+
+src_compile() {
+	if use x86; then
+		#917577 pie breaks build on x86
+		GOFLAGS=${GOFLAGS//-buildmode=pie}
+	fi
+	promu build -v || die
+	./"${PN}" --help-man > "${PN}".1 || die
+}
+
+src_test() {
+	emake test-flags= test
+}
+
+src_install() {
+	dosbin "${PN}"
+	dodoc example-rules.yml *.md
+	doman "${PN}".1
+	systemd_dounit examples/systemd/node_exporter.{service,socket}
+	insinto /etc/sysconfig
+	newins examples/systemd/sysconfig.node_exporter node_exporter
+	newinitd "${FILESDIR}"/${PN}.initd-1 ${PN}
+	newconfd "${FILESDIR}"/${PN}.confd ${PN}
+	insinto /etc/logrotate.d
+	newins "${FILESDIR}"/node_exporter-1.7.0.logrotate "${PN}"
+	keepdir /var/lib/node_exporter /var/log/node_exporter
+	fowners ${PN}:${PN} /var/lib/node_exporter /var/log/node_exporter
+}


             reply	other threads:[~2024-12-19 15:41 UTC|newest]

Thread overview: 58+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-12-19 15:41 William Hubbs [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-07 18:56 [gentoo-commits] repo/gentoo:master commit in: app-metrics/node_exporter/ Arthur Zamarin
2025-04-07 18:56 Arthur Zamarin
2025-03-15 18:14 Arthur Zamarin
2025-01-19 15:50 Arthur Zamarin
2025-01-19 14:55 Sam James
2025-01-19 13:10 Arthur Zamarin
2025-01-18  0:30 Jakov Smolić
2025-01-17 19:29 Arthur Zamarin
2024-06-15 19:21 Arthur Zamarin
2024-05-08 16:00 Arthur Zamarin
2024-01-19 18:11 William Hubbs
2024-01-07  6:48 Joonas Niilola
2024-01-07  6:14 Sam James
2023-11-26 21:47 Robin H. Johnson
2023-11-24 12:28 Sam James
2023-09-18  9:55 WANG Xuerui
2023-05-25 16:53 William Hubbs
2023-02-04 19:11 William Hubbs
2023-02-04 19:11 William Hubbs
2022-12-26  5:54 Kenton Groombridge
2022-07-22 23:37 William Hubbs
2022-07-22 23:33 William Hubbs
2022-07-18  2:23 William Hubbs
2022-06-29  7:21 WANG Xuerui
2022-04-05 21:53 Sam James
2022-04-05 21:50 Sam James
2022-01-21 19:13 Sam James
2021-08-25 20:38 Robin H. Johnson
2021-08-15  8:28 Mikle Kolyada
2021-07-16 15:17 Mikle Kolyada
2021-05-12 19:36 Mikle Kolyada
2021-04-07  8:59 Mikle Kolyada
2021-03-09 17:25 William Hubbs
2020-08-08 17:08 Matthew Thode
2020-08-08 17:08 Matthew Thode
2019-12-04  5:34 William Hubbs
2019-12-03  9:48 Michał Górny
2019-11-23 11:06 Manuel Rüger
2019-11-23 11:06 Manuel Rüger
2019-07-15 23:05 Manuel Rüger
2019-06-05 15:08 Manuel Rüger
2019-06-05 15:08 Manuel Rüger
2019-05-10  8:41 Manuel Rüger
2019-05-10  8:41 Manuel Rüger
2019-02-14 12:44 Manuel Rüger
2019-02-14 12:31 Manuel Rüger
2019-02-14 12:31 Manuel Rüger
2018-12-02  0:32 Manuel Rüger
2018-12-02  0:32 Manuel Rüger
2018-10-29 15:27 Tobias Klausmann
2018-07-17 16:44 Manuel Rüger
2018-05-15 20:01 Manuel Rüger
2018-04-27 22:04 Manuel Rüger
2018-04-27 22:03 Manuel Rüger
2018-04-18 14:39 Manuel Rüger
2018-04-10 12:28 Manuel Rüger
2018-03-30 14:31 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1734622856.9464e2d31184cd237280c18de2fa9b3d19adfaa5.williamh@gentoo \
    --to=williamh@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox